net.sourceforge.pmd.lang.rule.properties

## Class FileProperty

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.properties.AbstractProperty<File>
  - - net.sourceforge.pmd.lang.rule.properties.FileProperty

All Implemented Interfaces:
  Comparable<PropertyDescriptor<?>>, PropertyDescriptor<File>

    public class FileProperty
    extends AbstractProperty<File>

Author:
  Brian Remedios

### Field Summary

Fields
`static PropertyDescriptorFactory` `FACTORY`

### Constructor Summary

Constructors
Constructor and Description
`FileProperty(String theName, String theDescription, File theDefault, float theUIOrder)`

### Method Summary

Methods
`protected String` `defaultAsString()`
`Class<File>` `type()` Denotes the value datatype.
`File` `valueFrom(String propertyString)` If the property is multi-valued then return the separate values after parsing the propertyString provided.

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractProperty

`addAttributesTo, areEqual, asDelimitedString, asDelimitedString, asString, attributeValuesById, choices, compareTo, defaultHasNullValue, defaultValue, description, equals, errorFor, hashCode, isArray, isMultiValue, isRequired, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, toString, typeErrorFor, uiOrder, valueErrorFor, valuesErrorFor`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FACTORY

    public static final PropertyDescriptorFactory FACTORY

### Constructor Detail

#### FileProperty

    public FileProperty(String theName,
                String theDescription,
                File theDefault,
                float theUIOrder)

### Method Detail

#### type

    public Class<File> type()

Description copied from interface: `PropertyDescriptor`
Denotes the value datatype.

Returns:
  Class

#### valueFrom

    public File valueFrom(String propertyString)
                   throws IllegalArgumentException

Description copied from interface: `PropertyDescriptor`
If the property is multi-valued then return the separate values after parsing the propertyString provided. If it isn't a multi-valued property then the value will be returned within an array of size[1].

Parameters:
  `propertyString` - String
Returns:
  Object
Throws:
  `IllegalArgumentException`

#### defaultAsString

    protected String defaultAsString()

Specified by:
  `defaultAsString` in class `AbstractProperty<File>`
Returns:
  String